Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache
Class SingletonEhCacheRegionFactory

    java.lang.Object
      org.hibernate.cache.DelegatingRegionFactory
          org.hibernate.cache.SingletonEhCacheRegionFactory

All Implemented Interfaces:
  RegionFactory

    public class SingletonEhCacheRegionFactory

extends DelegatingRegionFactory

Author:
  Alex Snaps

Constructor Summary
`SingletonEhCacheRegionFactory(Properties properties)`

Method Summary

Methods inherited from class org.hibernate.cache.DelegatingRegionFactory
`buildCollectionRegion, buildEntityRegion, buildQueryResultsRegion, buildTimestampsRegion, getDefaultAccessType, isMinimalPutsEnabledByDefault, nextTimestamp, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingletonEhCacheRegionFactory

    public SingletonEhCacheRegionFactory(Properties properties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.